MODULE sms_pisces   
   !!----------------------------------------------------------------------
   !!                     ***  sms_pisces.F90  ***  
   !! TOP :   PISCES Source Minus Sink variables
   !!----------------------------------------------------------------------
   !! History :   1.0  !  2000-02 (O. Aumont) original code
   !!----------------------------------------------------------------------

#if defined key_pisces
   !!----------------------------------------------------------------------
   !!   'key_pisces'                                         PISCES model
   !!----------------------------------------------------------------------
   USE par_oce
   USE par_trc

   IMPLICIT NONE
   PUBLIC

   !!----------------------------------------------------------------------
   !! NEMO/TOP 1.0 , LOCEAN-IPSL (2005) 
   !! $Header$ 
   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
   !!----------------------------------------------------------------------

   !!----------------------------------------------------------------------
   !! Variable for chemistry of the CO2 cycle
   !! ---------------------------------------------------------------------
   !
   REAL(wp), DIMENSION(jpi,jpj,jpk) ::   akb3, ak13, ak23, aksp, akw3             !: ???
   REAL(wp), DIMENSION(jpi,jpj,jpk) ::   hi, borat                                !: ???

   !!----------------------------------------------------------------------
   !!  Time variables
   !! ---------------------------------------------------------------------
   INTEGER  ::   nrdttrc, ndayflxtr       !: ???
   REAL(wp) ::   rfact, rfactr, rfact2, rfact2r   !: ???

   !!---------------------------------------
   !!  Biological parameters 
   !! --------------------------------------
   !
   REAL(wp) ::   part, rno3, o2ut, po4r, rdenit, o2nit     !: ???
   REAL(wp) ::   wsbio, wsbio2, xkmort, ferat3                     !: ???

   !!---------------------------------------------
   !!  Biological fluxes for light
   !!---------------------------------------------
   REAL(wp), DIMENSION(jpi,jpj,jpk) ::   etot3                 !: ???

!!----------------------------------------------------------
!!  Biological fluxes for primary production
!!----------------------------------------------------------
   REAL(wp), DIMENSION(jpi,jpj) :: xksi, xksimax
   !
   REAL(wp), DIMENSION(jpi,jpj,jpk) ::   xnanono3, xdiatno3, xnanonh4, xdiatnh4       !: ???
   REAL(wp), DIMENSION(jpi,jpj,jpk) ::   xlimphy, xlimdia, concdfe, concnfe !: ???

   !!---------------------------------------------
   !!  SMS for the organic matter
   !!---------------------------------------------
   !
   REAL(wp), DIMENSION(jpi,jpj,jpk) ::   xfracal, nitrfac, xlimbac, xdiss                  !: ??

#if defined key_kriest
   !!---------------------------------------------------------
   !!  Kriest parameter for aggregation
   !!---------------------------------------------------------
   REAL(wp) ::  xkr_eta, xkr_zeta
   REAL(wp) ::  xkr_mass_min, xkr_mass_max, xkr_massp
#endif

#else
   !!----------------------------------------------------------------------   
   !!  Empty module :                                     NO PISCES model
   !!----------------------------------------------------------------------
#endif
   
   !!======================================================================   
END MODULE sms_pisces    

