MODULE trcctl_pisces
   !!======================================================================
   !!                         ***  trcctl_pisces.F90  ***
   !! TOP :                Control of PISCES biogeochemical model
   !!======================================================================
   !!----------------------------------------------------------------------
   !! History :   1.0  !  2000-12 (C. Ethe) assign a parameter to name individual tracers
   !!----------------------------------------------------------------------

#if defined key_pisces

   USE oce_trc
   USE trc


   IMPLICIT NONE
   PRIVATE

   PUBLIC trc_ctl_pisces     ! called by ???


   !!----------------------------------------------------------------------
   !! NEMO/TOP 1.0 , LOCEAN-IPSL (2005) 
   !! $Id$ 
   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
   !!----------------------------------------------------------------------

CONTAINS

   SUBROUTINE trc_ctl_pisces
      !!----------------------------------------------------------------------
      !!                     ***  ROUTINE trc_ctl_pisces  ***
      !!
      !! ** Purpose :   control the cpp options, namelist and files 
      !!----------------------------------------------------------------------

      IF(lwp) WRITE(numout,*)
      IF(lwp) WRITE(numout,*) ' use PISCES biological model '

   ! Check number of tracers
   ! -----------------------
#if  defined key_kriest
      IF( jp_pisces /= 23) THEN 
#else
      IF( jp_pisces /= 24) THEN
#endif
          IF (lwp) THEN 
              WRITE (numout,*) ' ===>>>> : w a r n i n g '
              WRITE (numout,*) ' =======   ============= '
              WRITE (numout,*)                               &
              &   ' STOP, change jp_pisces',               & 
              &   ' in par_pisces.F90'  
          END IF 
          STOP 'TRC_CTL'
      END IF 

   END SUBROUTINE trc_ctl_pisces

#else
   !!----------------------------------------------------------------------
   !!  Empty module :                                            No PISCES
   !!----------------------------------------------------------------------
CONTAINS
   SUBROUTINE trc_ctl_pisces                 ! Dummy routine
   END SUBROUTINE trc_ctl_pisces
#endif

   !!======================================================================
END MODULE trcctl_pisces
      
